﻿#include <avr/io.h>
#include <stdio.h>
#include <string.h>
#include <avr/interrupt.h>
#include <util/delay.h>
#include <USART.h>



/************************************************

	设备初始化
************************************************/
void DEVICE_init(void)
{
	cli();
	 PORTB = 0x00;
	 DDRB  = 0x00;
	 PORTC = 0x00; //m103 output only
	 DDRC  = 0x3F;
	 PORTD = 0x00;
	 DDRD  = 0x00;
	USART_init();	  //UART 初始化
	sei();
}

//----------------------MAIN-----------------------
int main(void)
{
	//------设备初始化
	DEVICE_init();
	
	
 	//-----------循环-----------
 
	 //-----------------------------
		_delay_ms(500);	//延时500ms
		_delay_ms(500);	//延时500ms
		USART_txr("AT+CSCS=\"GSM\"\r",14);
		_delay_ms(1000);
		USART_txr("AT+CMGF=1\r",10);
		_delay_ms(1000);
		USART_txr("AT+CMGS=\"18002798362\"\r",22);
		_delay_ms(1000);
		USART_txr("Welcome to FabAcademy2016! Filter was Started!\r",47);
		_delay_ms(1000);
		USART_txb(0x1a);                                                                                                                                                                                             
	
}